Package: org.codehaus.groovy.transform

## [Java] Annotation Type GroovyASTTransformationClass

- org.codehaus.groovy.transform.GroovyASTTransformationClass

-     @Retention(RetentionPolicy.RUNTIME)
      @Target(ElementType.ANNOTATION_TYPE)
      public @interface GroovyASTTransformationClass

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `Class[]` | `classes` Default: {}
    `String[]` | `value` Default: {}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public Class[] classes

      Default:
        {}

    - #### public String[] value

      Default:
        {}